View Issue Details

IDProjectCategoryView StatusLast Update
0004339SOGoWeb Calendarpublic2018-06-28 13:40
ReporterASolana Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Fixed in Version4.0.1 
Summary0004339: Deleted repeated events reapears with same configuration after adding more repeated days
Description

Deleted events with different schedulling belonging to serie of repeated events are reapearing after rescheduling those serie adding more repeated days.

A deleted event must not reapear. It must be created with default schedulling.

Steps To Reproduce
  1. Create an event and repeat it for 15 days

  2. You can modifiy scheduling for some of those events (e.g. last 5 days begins 1 hour later).

  3. Edit all occurrences of those events to repeat them for just 5 days.
    At this point the last 10 events of the previous configuration have been deleted and user cannot see them.

  4. Edit all occurrences of those events and repeated them for 20 days.
    At this point deleted events from days 6 to 15 have been reapeared and new 5 days have been added.

Events from 11 to 15 days have been undeleted/reapeared with their previous peculiar schedulling (they begin 1 hour later) not with default event schedulling. That's wrong, it's an issue.

TagsNo tags attached.

Activities

ludovic

ludovic

2018-03-13 15:48

administrator   ~0012680

Retry with v4.

Issue History

Date Modified Username Field Change
2017-11-22 10:22 ASolana New Issue
2018-03-13 15:48 ludovic Severity major => minor
2018-03-13 15:48 ludovic Note Added: 0012680
2018-06-28 13:40 francis Status new => resolved
2018-06-28 13:40 francis Fixed in Version => 4.0.1
2018-06-28 13:40 francis Resolution open => fixed
2018-06-28 13:40 francis Assigned To => francis